/* Imported Fonts */

@font-face {
    font-family: "AndanteText-Regular";
    font-style: normal;
    font-weight: 500;
    src: url("../fonts/AndanteText-Regular.otf") format(truetype);
}

@font-face {
    font-family: "AndanteText-Bold";
    font-style: normal;
    font-weight: 700;
    src: url("../fonts/AndanteText-Bold.otf") format(truetype);
}

@font-face {
    font-family: "AndanteDisplay-Bold";
    font-style: normal;
    font-weight: 700;
    src: url("../fonts/AndanteDisplay-Bold.otf") format(truetype);
}

/* Variables */

:root {
    /* Color vars */

    --white: rgba(255, 255, 255, 1);
    --black: rgba(0, 0, 0, 1);
    --pennyplanner-blue: rgba(57, 83, 106, 1);
    --pennyplanner-gray: rgba(217, 217, 217, 1);


    /* Font size vars */

    --font-size-s: 20px;
    --font-size-sm: 28px;
    --font-size-sms: 30px;
    --font-size-m: 32px;
    --font-size-ml: 40px;
    --font-size-l: 48px;
    --font-size-xl: 64px;
    --font-size-xxl: 80px;
    --font-size-xxxl: 100px;

    /* Font vars */
    --font-family-andante-display-bold: "AndanteDisplay-Bold";
    --font-family-andante-text-regular: "AndanteText-Regular";
    --font-family-andante-text-bold: "AndanteText-Bold";
}

/* Classes */

/* Andante Text Regular */

.andantetext-regular-black-20px {
    color: var(--black);
    font-family: var(--font-family-andante-text-regular);
    font-size: var(--font-size-s);
    font-weight: 500;
    font-style: normal;
}

.andantetext-regular-blue-20px {
    color: var(--pennyplanner-blue);
    font-family: var(--font-family-andante-text-regular);
    font-size: var(--font-size-s);
    font-weight: 500;
    font-style: normal;
}

.andantetext-regular-black-28px {
    color: var(--black);
    font-family: var(--font-family-andante-text-regular);
    font-size: var(--font-size-sm);
    font-weight: 500;
    font-style: normal;
}

.andantetext-regular-white-28px {
    color: var(--white);
    font-family: var(--font-family-andante-text-regular);
    font-size: var(--font-size-sm);
    font-weight: 500;
    font-style: normal;
}

.andantetext-regular-black-30px {
    color: var(--black);
    font-family: var(--font-family-andante-text-regular);
    font-size: var(--font-size-sms);
    font-weight: 500;
    font-style: normal;
}

.andantetext-regular-black-32px {
    color: var(--black);
    font-family: var(--font-family-andante-text-regular);
    font-size: var(--font-size-m);
    font-weight: 500;
    font-style: normal;
}

.andantetext-regular-black-40px {
    color: var(--black);
    font-family: var(--font-family-andante-text-regular);
    font-size: var(--font-size-ml);
    font-weight: 500;
    font-style: normal;
}

/* Andante Text Bold */

.andantetext-bold-blue-20px {
    color: var(--pennyplanner-blue);
    font-family: var(--font-family-andante-text-bold);
    font-size: var(--font-size-s);
    font-weight: 700;
    font-style: normal;
}

.andantetext-bold-black-20px {
    color: var(--black);
    font-family: var(--font-family-andante-text-bold);
    font-size: var(--font-size-s);
    font-weight: 700;
    font-style: normal;
}



.andantetext-bold-blue-30px {
    color: var(--black);
    font-family: var(--font-family-andante-text-bold);
    font-size: var(--font-size-sms);
    font-weight: 700;
    font-style: normal;
}

.andantetext-bold-white-48px {
    color: var(--white);
    font-family: var(--font-family-andante-text-bold);
    font-size: var(--font-size-l);
    font-weight: 700;
    font-style: normal;
}

.andantetext-bold-black-48px {
    color: var(--black);
    font-family: var(--font-family-andante-text-bold);
    font-size: var(--font-size-l);
    font-weight: 700;
    font-style: normal;
}

/* Andante Display Bold */
.andantedisplay-bold-black-40px {
    color: var(--black);
    font-family: var(--font-family-andante-display-bold);
    font-size: var(--font-size-ml);
    font-weight: 700;
    font-style: normal;
}

.andantedisplay-bold-black-48px {
    color: var(--black);
    font-family: var(--font-family-andante-display-bold);
    font-size: var(--font-size-l);
    font-weight: 700;
    font-style: normal;
}

.andantedisplay-bold-blue-64px {
    color: var(--pennyplanner-blue);
    font-family: var(--font-family-andante-display-bold);
    font-size: var(--font-size-xl);
    font-weight: 700;
    font-style: normal;
}

.andantedisplay-bold-black-64px {
    color: var(--black);
    font-family: var(--font-family-andante-display-bold);
    font-size: var(--font-size-xl);
    font-weight: 700;
    font-style: normal;
}

.andantedisplay-bold-black-80px {
    color: var(--black);
    font-family: var(--font-family-andante-display-bold);
    font-size: var(--font-size-xxl);
    font-weight: 700;
    font-style: normal;
}

.andantedisplay-bold-black-100px {
    color: var(--black);
    font-family: var(--font-family-andante-display-bold);
    font-size: var(--font-size-xxxl);
    font-weight: 700;
    font-style: normal;
}